#!/bin/sh

# Usage: <command> [32|64]
# 32 bit mode is run unless 64 is passed in as the first argument.

MENTOR_VIP_AE=${MENTOR_VIP_AE:-$QUARTUS_ROOTDIR/../ip/altera/mentor_vip_ae}

if [ "$1" == "64" ]
then
        export RUN_64bit=-full64
        export VCS_TARGET_ARCH=`getsimarch 64`
        export LD_LIBRARY_PATH=${VCS_HOME}/gnu/linux/gcc-6.2.0/lib64
        export QUESTA_MVC_GCC_PATH=${VCS_HOME}/gnu/linux/gcc-6.2.0
        export QUESTA_MVC_GCC_LIB=${MENTOR_VIP_AE}/common/questa_mvc_core/linux_x86_64_gcc-6.2.0_vcs
else
        export RUN_64bit=
        export LD_LIBRARY_PATH=${VCS_HOME}/gnu/linux/gcc-6.2.0/lib
        export QUESTA_MVC_GCC_PATH=${VCS_HOME}/gnu/linux/gcc-6.2.0
        export QUESTA_MVC_GCC_LIB=${MENTOR_VIP_AE}/common/questa_mvc_core/linux_gcc-6.2.0_vcs
fi

cd agilex5_hps_h2f_simulation_tb/agilex5_hps_h2f_simulation_tb/sim/synopsys/vcs
rm -rf csrc simv simv.daidir transcript ucli.key vc_hdrs.h

# VCS accepts the -LDFLAGS flag on the command line, but the shell quoting is too difficult.
# Just set the LDFLAGS ENV variable for the compiler to pick up. Alternatively, use the VCS command 
# line option '-file' with the LDFLAGS set (this avoids shell quoting issues).
#  vcs-switches.f: 
#     -LDFLAGS "-L ${QUESTA_MVC_GCC_LIB} -Wl,-rpath ${QUESTA_MVC_GCC_LIB} -laxi4_IN_SystemVerilog_VCS_full_DVC"
export LDFLAGS="-L ${QUESTA_MVC_GCC_LIB} -Wl,-rpath ${QUESTA_MVC_GCC_LIB} -laxi4_IN_SystemVerilog_VCS_full_DVC "



USER_DEFINED_ELAB_OPTIONS="\"\
  $RUN_64bit \
  +systemverilogext+.sv +vpi -debug_access+r+w+nomemcbk +vcs+lic+wait \""

USER_DEFINED_ELAB_OPTIONS_APPEND="\"../../../../../agilex5_hps_h2f_simulation_tb.v \
  ../../../../../master_test_program.sv \""

  source vcs_setup.sh \
  USER_DEFINED_ELAB_OPTIONS="$USER_DEFINED_ELAB_OPTIONS" \
  USER_DEFINED_ELAB_OPTIONS_APPEND="$USER_DEFINED_ELAB_OPTIONS_APPEND" \
  USER_DEFINED_SIM_OPTIONS="'-l transcript +vcs+finish+5000000000000'" \
  TOP_LEVEL_NAME=agilex5_hps_h2f_simulation_tb

